
textures/jb3dm2/jb_launch
{
	//	*************************************************
	//	*      	Launchpad on metalbridge04d	        *
	//	*      	June 15 1999				*	
	//	*	Please Comment Changes			*
	//	*************************************************
	
	{
		map $lightmap
		rgbGen identity
	}

	{ 
		map textures/jb3dm2/jb_launch.tga
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}

	{	
		map textures/jb3dm2/jb_launchpad_dot.tga
		blendfunc gl_one gl_one	
		rgbgen wave inversesawtooth 0 1 0 1	
	}

	// 	CHANGED BECAUSE OF RAGE PRO PROBLEM
	//	{	
	//		map textures/sfx/launchpad_arrow.tga		
	//		blendfunc gl_src_alpha gl_one	
	//		tcmod scroll 0 2
	//		rgbgen wave square 0 1 0 2
	//		alphagen wave square 0 1 .1 2
	//	}

	// 	TEMPORARY FIX TO GET AROUND ALPHA BLEND IN RAGE PRO
	{ 
		animmap 4 textures/jb3dm2/jb_launchpad_arrow.tga textures/jb3dm2/jb_launchpad_arrow2.tga textures/jb3dm2/jb_launchpad_arrow2.tga textures/jb3dm2/jb_launchpad_arrow2.tga
		blendfunc gl_one gl_one
		tcmod scroll 0 2
	}

}




textures/jb3dm2/jb_portal
{
	qer_editorimage textures/jb3dm2/jb_sfx.tga
	q3map_lightimage textures/jb3dm2/jb_sfx.tga
	q3map_surfacelight 500
	surfaceparm nolightmap
	surfaceparm nonsolid
	deformVertexes wave 32 sin 0 2 0 1.0
	{

		map textures/jb3dm2/jb_sfx.tga
		blendfunc gl_one gl_one
		tcMod stretch sin 1.2 .8 0 0.5
//		tcMod scroll 0.2 0.2
		rgbGen identity
	}
	{

		map textures/jb3dm2/jb_sfx.tga
		blendfunc gl_one gl_one
//		tcmod turb sin 0 .8 1 3
		tcMod stretch sin 1.2 .4 1 0.5
	}
	{
		map textures/jb3dm2/jb_sfx.tga
		blendfunc gl_one gl_one
		tcMod rotate -360
		tcMod stretch sin 1.2 .4 1 1.5
	}
	{
		map textures/jb3dm2/jb_sfx.tga
		blendfunc gl_one gl_one
		tcMod rotate 360
		tcMod stretch sin 1.2 .4 0 1.5
	}	
        
}




textures/jb3dm2/jb_lava2
{

	q3map_globaltexture
	surfaceparm trans
	//surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm lava
	surfaceparm nolightmap
	q3map_surfacelight 600
	cull disable
	
	tesssize 128
	cull disable
	deformVertexes wave 100 sin 3 2 .1 0.1
	
	{
		map textures/jb3dm2/jb_lava2.tga
		tcMod turb 0 .2 0 .1
	}


	
}
textures/jb3dm2/jb_bounce
{

	surfaceparm nodamage
	q3map_lightimage textures/jb3dm2/jb_jumppadsmall.tga	
	q3map_surfacelight 1000

	
	{
		map textures/jb3dm2/jb_bounce.tga
		rgbGen identity
	}
	
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}
	
	{
		map textures/jb3dm2/jb_bouncepad1.tga
		blendfunc add
		rgbGen wave sin .5 .5 0 1.5	
	}

	{
		clampmap textures/jb3dm2/jb_jumppadsmall.tga
		blendfunc add
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}

}

